<html>
<head>
<title>Ogre::RenderToVertexBuffer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html">RenderToVertexBuffer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RenderToVertexBuffer Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RenderToVertexBuffer" -->
<p>An object which renders geometry to a vertex.  
 <a href="classOgre_1_1RenderToVertexBuffer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::RenderToVertexBuffer:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1RenderToVertexBuffer__inherit__graph.gif" border="0" usemap="#Ogre_1_1RenderToVertexBuffer_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1RenderToVertexBuffer_inherit__map" id="Ogre_1_1RenderToVertexBuffer_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1D3D11RenderToVertexBuffer.html" title="An object which renders geometry to a vertex." alt="" coords="5,83,235,112"/><area shape="rect" id="node5" href="classOgre_1_1GLRenderToVertexBuffer.html" title="An object which renders geometry to a vertex." alt="" coords="259,83,464,112"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1RenderToVertexBuffer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#ab6e1b36ab14bd12389469252861809b3">RenderToVertexBuffer</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">C'tor.  <a href="#ab6e1b36ab14bd12389469252861809b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a6a3024feeacd04751c138147ea8aa5aa">~RenderToVertexBuffer</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">D'tor.  <a href="#a6a3024feeacd04751c138147ea8aa5aa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1VertexDeclaration.html">VertexDeclaration</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a9fa1e6de60796f2af453581b553cb0ac">getVertexDeclaration</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the vertex declaration that the pass will output.  <a href="#a9fa1e6de60796f2af453581b553cb0ac"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a883622495c6c19c55b34cbb2cbc83cac">getMaxVertexCount</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the maximum number of vertices that the buffer will hold.  <a href="#a883622495c6c19c55b34cbb2cbc83cac"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a2db0eaaf24eb8de2427e5a33a923544b">setMaxVertexCount</a> (unsigned int maxVertexCount)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the maximum number of vertices that the buffer will hold.  <a href="#a2db0eaaf24eb8de2427e5a33a923544b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">RenderOperation::OperationType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a8ace11d57f754588746a86c6dea6dc48">getOperationType</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">What type of primitives does this object generate?  <a href="#a8ace11d57f754588746a86c6dea6dc48"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a3a23fc7f800fcd9014919ff977e55905">setOperationType</a> (<a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">RenderOperation::OperationType</a> operationType)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the type of primitives that this object generates.  <a href="#a3a23fc7f800fcd9014919ff977e55905"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#aa6b992fb1f1f4098edb85c782b860f24">setResetsEveryUpdate</a> (bool resetsEveryUpdate)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set wether this object resets its buffers each time it updates.  <a href="#aa6b992fb1f1f4098edb85c782b860f24"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a5c9e4cc0e644416d3754aaa0e12f4bd8">getResetsEveryUpdate</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Does this object reset its buffer each time it updates?  <a href="#a5c9e4cc0e644416d3754aaa0e12f4bd8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a328f90969feb5013cb1d8f268ad7956e">getRenderOperation</a> (<a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> &amp;op)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the render operation for this buffer.  <a href="#a328f90969feb5013cb1d8f268ad7956e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#ae5fbfc3b45898156d9f5523fbfbbf2f7">update</a> (<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *sceneMgr)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Update the contents of this vertex buffer by rendering.  <a href="#ae5fbfc3b45898156d9f5523fbfbbf2f7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a276cd906b96a46a596d7f0abdf122302">reset</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset the vertex buffer to the initial state.  <a href="#a276cd906b96a46a596d7f0abdf122302"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a1ac41c57f4cb8c493dfedca2d83692ca">setSourceRenderable</a> (<a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *source)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the source renderable of this object.  <a href="#a1ac41c57f4cb8c493dfedca2d83692ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a38890b3ad14b32428d57520fdec9e48b">getSourceRenderable</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the source renderable of this object.  <a href="#a38890b3ad14b32428d57520fdec9e48b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a6c530df86894044d524825e0be11fe33">getRenderToBufferMaterial</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the material which is used to render the geometry into the vertex buffer.  <a href="#a6c530df86894044d524825e0be11fe33"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a1b91c72db34e837e2753ec419bacb88e">setRenderToBufferMaterialName</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;materialName)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the material name which is used to render the geometry into the vertex buffer.  <a href="#a1b91c72db34e837e2753ec419bacb88e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">RenderOperation::OperationType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#ab9071935eb9ab1effbc8e6358ba38a67">mOperationType</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#aa7b0315836d1753e0ee1938d55cc7f93">mResetsEveryUpdate</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a69b7fe4c1730c47978aa497deb42f22e">mResetRequested</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a95a4702c70c3fe0fd2313c836c8e4dbe">mMaterial</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a281d1d81160af52e32be61cf5f27cf70">mSourceRenderable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a21c5d5d9ec70314f9727553b6dd0faf2">mVertexData</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a0b626515d04c2216f2d987b45925794e">mMaxVertexCount</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>An object which renders geometry to a vertex. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This is especially useful together with geometry shaders, as you can render procedural geometry which will get saved to a vertex buffer for reuse later, without regenerating it again. You can also create shaders that run on previous results of those shaders, creating stateful shaders. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00051">51</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab6e1b36ab14bd12389469252861809b3"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::RenderToVertexBuffer" ref="ab6e1b36ab14bd12389469252861809b3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderToVertexBuffer.html#ab6e1b36ab14bd12389469252861809b3">Ogre::RenderToVertexBuffer::RenderToVertexBuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>C'tor. </p>

</div>
</div>
<a class="anchor" id="a6a3024feeacd04751c138147ea8aa5aa"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::~RenderToVertexBuffer" ref="a6a3024feeacd04751c138147ea8aa5aa" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a6a3024feeacd04751c138147ea8aa5aa">Ogre::RenderToVertexBuffer::~RenderToVertexBuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>D'tor. </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a883622495c6c19c55b34cbb2cbc83cac"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::getMaxVertexCount" ref="a883622495c6c19c55b34cbb2cbc83cac" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a883622495c6c19c55b34cbb2cbc83cac">Ogre::RenderToVertexBuffer::getMaxVertexCount</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the maximum number of vertices that the buffer will hold. </p>

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00070">70</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8ace11d57f754588746a86c6dea6dc48"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::getOperationType" ref="a8ace11d57f754588746a86c6dea6dc48" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">RenderOperation::OperationType</a> <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a8ace11d57f754588746a86c6dea6dc48">Ogre::RenderToVertexBuffer::getOperationType</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>What type of primitives does this object generate? </p>

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00080">80</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a328f90969feb5013cb1d8f268ad7956e"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::getRenderOperation" ref="a328f90969feb5013cb1d8f268ad7956e" args="(RenderOperation &amp;op)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a328f90969feb5013cb1d8f268ad7956e">Ogre::RenderToVertexBuffer::getRenderOperation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderOperation.html">RenderOperation</a> &amp;&#160;</td>
          <td class="paramname"><em>op</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the render operation for this buffer. </p>

<p>Implemented in <a class="el" href="classOgre_1_1GLRenderToVertexBuffer.html#a92a9cebdbe53636b9660822de6e09f87">Ogre::GLRenderToVertexBuffer</a>, and <a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a5997d0e11a04c57322648d2be8850519">Ogre::D3D11RenderToVertexBuffer</a>.</p>

</div>
</div>
<a class="anchor" id="a6c530df86894044d524825e0be11fe33"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::getRenderToBufferMaterial" ref="a6c530df86894044d524825e0be11fe33" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&amp; <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a6c530df86894044d524825e0be11fe33">Ogre::RenderToVertexBuffer::getRenderToBufferMaterial</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the material which is used to render the geometry into the vertex buffer. </p>

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00129">129</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5c9e4cc0e644416d3754aaa0e12f4bd8"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::getResetsEveryUpdate" ref="a5c9e4cc0e644416d3754aaa0e12f4bd8" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a5c9e4cc0e644416d3754aaa0e12f4bd8">Ogre::RenderToVertexBuffer::getResetsEveryUpdate</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Does this object reset its buffer each time it updates? </p>

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00095">95</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a38890b3ad14b32428d57520fdec9e48b"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::getSourceRenderable" ref="a38890b3ad14b32428d57520fdec9e48b" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Renderable.html">Renderable</a>* <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a38890b3ad14b32428d57520fdec9e48b">Ogre::RenderToVertexBuffer::getSourceRenderable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the source renderable of this object. </p>

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00123">123</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9fa1e6de60796f2af453581b553cb0ac"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::getVertexDeclaration" ref="a9fa1e6de60796f2af453581b553cb0ac" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexDeclaration.html">VertexDeclaration</a>* <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a9fa1e6de60796f2af453581b553cb0ac">Ogre::RenderToVertexBuffer::getVertexDeclaration</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the vertex declaration that the pass will output. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Use this object to set the elements of the buffer. Object will calculate buffers on its own. Only one source allowed! </dd></dl>

</div>
</div>
<a class="anchor" id="a276cd906b96a46a596d7f0abdf122302"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::reset" ref="a276cd906b96a46a596d7f0abdf122302" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a276cd906b96a46a596d7f0abdf122302">Ogre::RenderToVertexBuffer::reset</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reset the vertex buffer to the initial state. </p>
<p>In the next update, the source renderable will be used as input. </p>

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00111">111</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2db0eaaf24eb8de2427e5a33a923544b"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::setMaxVertexCount" ref="a2db0eaaf24eb8de2427e5a33a923544b" args="(unsigned int maxVertexCount)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a2db0eaaf24eb8de2427e5a33a923544b">Ogre::RenderToVertexBuffer::setMaxVertexCount</a> </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>maxVertexCount</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the maximum number of vertices that the buffer will hold. </p>

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00075">75</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3a23fc7f800fcd9014919ff977e55905"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::setOperationType" ref="a3a23fc7f800fcd9014919ff977e55905" args="(RenderOperation::OperationType operationType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a3a23fc7f800fcd9014919ff977e55905">Ogre::RenderToVertexBuffer::setOperationType</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">RenderOperation::OperationType</a>&#160;</td>
          <td class="paramname"><em>operationType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the type of primitives that this object generates. </p>

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00085">85</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1b91c72db34e837e2753ec419bacb88e"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::setRenderToBufferMaterialName" ref="a1b91c72db34e837e2753ec419bacb88e" args="(const String &amp;materialName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a1b91c72db34e837e2753ec419bacb88e">Ogre::RenderToVertexBuffer::setRenderToBufferMaterialName</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>materialName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the material name which is used to render the geometry into the vertex buffer. </p>

</div>
</div>
<a class="anchor" id="aa6b992fb1f1f4098edb85c782b860f24"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::setResetsEveryUpdate" ref="aa6b992fb1f1f4098edb85c782b860f24" args="(bool resetsEveryUpdate)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#aa6b992fb1f1f4098edb85c782b860f24">Ogre::RenderToVertexBuffer::setResetsEveryUpdate</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>resetsEveryUpdate</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set wether this object resets its buffers each time it updates. </p>

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00090">90</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1ac41c57f4cb8c493dfedca2d83692ca"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::setSourceRenderable" ref="a1ac41c57f4cb8c493dfedca2d83692ca" args="(Renderable *source)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a1ac41c57f4cb8c493dfedca2d83692ca">Ogre::RenderToVertexBuffer::setSourceRenderable</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td>
          <td class="paramname"><em>source</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the source renderable of this object. </p>
<p>During the first (and perhaps later) update of this object, this object's data will be used as input) </p>

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00118">118</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae5fbfc3b45898156d9f5523fbfbbf2f7"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::update" ref="ae5fbfc3b45898156d9f5523fbfbbf2f7" args="(SceneManager *sceneMgr)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#ae5fbfc3b45898156d9f5523fbfbbf2f7">Ogre::RenderToVertexBuffer::update</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&#160;</td>
          <td class="paramname"><em>sceneMgr</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Update the contents of this vertex buffer by rendering. </p>

<p>Implemented in <a class="el" href="classOgre_1_1GLRenderToVertexBuffer.html#a964e22241813a3677fbe95a9a5106969">Ogre::GLRenderToVertexBuffer</a>, and <a class="el" href="classOgre_1_1D3D11RenderToVertexBuffer.html#a905dd227952262c4012b56fea2f81668">Ogre::D3D11RenderToVertexBuffer</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a95a4702c70c3fe0fd2313c836c8e4dbe"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::mMaterial" ref="a95a4702c70c3fe0fd2313c836c8e4dbe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a95a4702c70c3fe0fd2313c836c8e4dbe">Ogre::RenderToVertexBuffer::mMaterial</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00140">140</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0b626515d04c2216f2d987b45925794e"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::mMaxVertexCount" ref="a0b626515d04c2216f2d987b45925794e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a0b626515d04c2216f2d987b45925794e">Ogre::RenderToVertexBuffer::mMaxVertexCount</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00143">143</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab9071935eb9ab1effbc8e6358ba38a67"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::mOperationType" ref="ab9071935eb9ab1effbc8e6358ba38a67" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">RenderOperation::OperationType</a> <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#ab9071935eb9ab1effbc8e6358ba38a67">Ogre::RenderToVertexBuffer::mOperationType</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00137">137</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a69b7fe4c1730c47978aa497deb42f22e"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::mResetRequested" ref="a69b7fe4c1730c47978aa497deb42f22e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a69b7fe4c1730c47978aa497deb42f22e">Ogre::RenderToVertexBuffer::mResetRequested</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00139">139</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa7b0315836d1753e0ee1938d55cc7f93"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::mResetsEveryUpdate" ref="aa7b0315836d1753e0ee1938d55cc7f93" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#aa7b0315836d1753e0ee1938d55cc7f93">Ogre::RenderToVertexBuffer::mResetsEveryUpdate</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00138">138</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a281d1d81160af52e32be61cf5f27cf70"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::mSourceRenderable" ref="a281d1d81160af52e32be61cf5f27cf70" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a>* <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a281d1d81160af52e32be61cf5f27cf70">Ogre::RenderToVertexBuffer::mSourceRenderable</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00141">141</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a21c5d5d9ec70314f9727553b6dd0faf2"></a><!-- doxytag: member="Ogre::RenderToVertexBuffer::mVertexData" ref="a21c5d5d9ec70314f9727553b6dd0faf2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a>* <a class="el" href="classOgre_1_1RenderToVertexBuffer.html#a21c5d5d9ec70314f9727553b6dd0faf2">Ogre::RenderToVertexBuffer::mVertexData</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderToVertexBuffer_8h_source.html#l00142">142</a> of file <a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderToVertexBuffer_8h_source.html">OgreRenderToVertexBuffer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
